### Method

# Adw Carousel scroll_to

#### Declaration [src]

    void
    adw_carousel_scroll_to (
      AdwCarousel* self,
      GtkWidget* widget
    )

#### Description [src]

Scrolls to `widget` with an animation.

The `AdwCarousel:animation-duration` property can be used to control the duration.

Available since: | 1.0

#### Parameters

`widget` | `GtkWidget`
| A child of `self`.
| The data is owned by the caller of the function.